Subject: Re: [PATCH RFC v3 1/5] dt-bindings: clk: zte: Add zx297520v3 top clock and reset bindings.

From: Conor Dooley <[email-masked]>
Date: Wed, 3 Jun 2026 00:14:34 +0100

On Tue, Jun 02, 2026 at 10:09:57PM +0300, Stefan Dösinger wrote:
> Hello Conor,
> 
> Thanks for the review!
> 
> > Am 29.05.2026 um 19:48 schrieb Conor Dooley <[email-masked]>:
> > 
> > These are not permitted in bindings, please remove them.
> > Half the time they end up changing because people find other clocks, and
> > they never actually get used in a dts. If you need the definitions, add
> > them to the driver.
> 
> I changed the drivers to derive the number of clocks from the clock tables in the driver, as seen e.g. in mediatek clocks.
> 
> Before I resend with your suggestions and more Sashiko findings (that thing is good!): Do you have any advice on the questions I raised in my cover letter?

Resend whenever you get around to it, don't need to rush into it. Can
wait for others to give feedback on those questions, none of them seemed
particularly relevant to me, more of something for Stephen or Brian etc.